#ifndef anti01PhysicsList_H
#define anti01PhysicsList_H 1                                                                                                           

#include "globals.hh"
#include "G4VUserPhysicsList.hh"

class anti01PhysicsList : public G4VUserPhysicsList
{
  public:
    anti01PhysicsList();
    ~anti01PhysicsList();
 
  protected:
    // Construct particles and processes
    void ConstructParticle();
    void ConstructProcess();

    //
    void SetCuts();

  protected:
    // these methods Construct particles
    void ConstructBosons();
    void ConstructLeptons();
    void ConstructMesons();
    void ConstructBaryons();

  protected:
    // these methods Construct physics processes and register them
    void ConstructGeneral();
    void ConstructEM();
    void ConstructOp();

};

#endif


